# Token Properties

A comprehensive table has been prepared to display all the characteristics and attributes of each token template script. This tool will be incredibly helpful in determining the most suitable token template to use for your particular needs. By referring to the table, you will be able to compare and contrast the various token templates, and ultimately make an informed decision on which one to select. This will ensure that you choose the token template that is best suited for your project and will help you achieve your desired outcome.

* **Splittable** - determines if a token can be split or merged with other UTXOs. If it's splittable, it can be merged with other STAS token UTXOs that have matching script values, regardless of whether their owner addresses match.
* **MaxInputsPerTx** - the maximum number of utxo input elements allowed per transaction, excluding the fee UTXO. This applies to transaction types such as merge, mergeSplit, or atomic swap functions where more than one STAS input is required.
* **MaxOutputsPerTx** - the maximum number of outputs allowed per transaction, excluding the fee UTXO. This applies to transaction types such as split, mergeSplit, redeemSplit, or acceptSwap functions.
* **DataOutput** - determines if the STAS template supports an additional OP\_RETURN output in the transaction.
* **Flags** - determines if the STAS template supports both splittable and non-splittable types. When flags are permitted during issuance, the STAS token will be issued as either splittable or not.
* **DataAppend** - an additional data array that can be added to an existing STAS token script during a transfer transaction.
* **RedeemAny** - determines if the STAS token can be redeemed by any token owner address.
* **SendToIssuerAddress** - for some STAS token templates, sending the token to the issuer address is not allowed. This applies only to output index #0 in the transaction and is part of the redemption functionality when RedemptionAny is true, reserving that address only for redemption purposes.
* **RoyaltyPayment** - a conditional output in the transaction that pays a certain address upon any transaction.

<table><thead><tr><th width="201.33333333333331">Props</th><th width="135">STAS-20</th><th width="130">STAS-789</th><th width="137">STAS-50</th><th>STAS (legacy)</th></tr></thead><tbody><tr><td>Splittable</td><td>true</td><td>false</td><td>true|false</td><td>true|false</td></tr><tr><td>MaxInputsPerTx</td><td>2</td><td>2</td><td>2</td><td>2</td></tr><tr><td>MaxOutputsPerTx</td><td>4</td><td>4</td><td>50</td><td>4</td></tr><tr><td>DataOutputs</td><td>true</td><td>false</td><td>false</td><td>false</td></tr><tr><td>Flags</td><td>false</td><td>false</td><td>true</td><td>true</td></tr><tr><td>DataAppend</td><td>false</td><td>true</td><td>false</td><td>false</td></tr><tr><td>RedeemAny</td><td>false</td><td>true</td><td>true</td><td>true</td></tr><tr><td>SendToIssuerAddr</td><td>true</td><td>false</td><td>false</td><td>false</td></tr><tr><td>RoyaltyPayment</td><td>false</td><td>false</td><td>false</td><td>false</td></tr></tbody></table>

{% hint style="info" %}
For minting Tokens the STAS-20 template is a recommended choice.\
For minting NFTs with added utility it is recommended to use the STAS-789 that allows for additional data added after each transfer transaction.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stastoken.com/library/token-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
